# QNetworkProxyFactory Class Reference

### [com.trolltech.qt.network package]

### Constructor

- void QNetworkProxyFactory()

### Constructor Properties

- prototype: The QNetworkProxyFactory prototype object
- List proxyForQuery(QNetworkProxyQuery query)
- void setApplicationProxyFactory(QNetworkProxyFactory factory)
- void setUseSystemConfiguration(bool enable)
- List systemProxyForQuery(QNetworkProxyQuery query)

### Prototype Object Properties

- List queryProxy(QNetworkProxyQuery query)

### Instance Properties

QNetworkProxyFactory objects have no special properties beyond those inherited from the QNetworkProxyFactory prototype object.